" Vim syntax file
" Language:	Vim 7.4 script
" Filenames:    *TESTOUT.log*
" Maintainer:	Alois Mahdal
" Last Change:	Jul 10, 2015
" Version:	7.4-00

" Quit when a syntax file was already loaded
if exists("b:current_syntax")
  finish
endif

" Highlighting Settings
" ====================

syn match   rlFence " :: "
syn match   rlFence "^:\{2} "
syn match   rlFence "^:\{80}"
syn match   rlFence "^:: \[ "
syn match   rlFence " ] :: "
syn match   rlFence " ] :: \[ "

syn match   rlStats     "Duration: \d\d*s$"
syn match   rlStats     "Assertions: \d\d* good, "
syn match   rlStats     "Phases: \d\d* good, "
syn match   rlStats     "Phases: \d\d* good, 0 bad$"
syn match   rlStatsBad  "\d\d* bad$"
syn match   rlStats     "Assertions: \d\d* good, 0 bad$"
syn match   rlStats     "(Expected \d\d*, got \d\d*)$"

syn match   rlTestProtocol "TEST PROTOCOL"

syn match   rlTestId       "/CoreOS/[a-zA-Z0-9_/-]*\>"

syn match   rlTestPurpose  "^PURPOSE of "
syn match   rlTestPurpose  "^Description: "
syn match   rlTestPurpose  "^Author: "

syn match   rlStamp "\d\{2}:\d\{2}:\d\{2}"
syn match   rlStamp "20\d\{2}-\d\{2}-\d\{2} \d\{2}:\d\{2}:\d\{2}"

syn keyword rlSeverityDebug     DEBUG
syn keyword rlSeverityDebug     BEGIN
syn keyword rlSeverityLog       LOG
syn keyword rlSeverityInfo      INFO
syn keyword rlSeverityPass      PASS
syn keyword rlSeverityFail      FAIL
syn keyword rlSeverityWarning   WARNING
syn keyword rlSeverityError     ERROR
syn keyword rlSeverityFatal     FATAL


" Highlighting Settings
" ====================

hi def link rlStamp             String
hi def link rlFence             Comment

hi def link rlStats             Special
hi def link rlStatsBad          Statement

hi def link rlTestProtocol      Comment
hi def link rlTestPurpose       Special
hi def link rlTestId            Identifier

hi def link rlSeverityDebug     Special
hi def link rlSeverityLog       Comment
hi def link rlSeverityInfo      Comment
hi def link rlSeverityPass      Type
hi def link rlSeverityFail      Error
hi def link rlSeverityWarning   Identifier
hi def link rlSeverityError     Error
hi def link rlSeverityFatal     Error

let b:current_syntax = "beakerlib"
